### Method

# Gegl Buffer create_sub_buffer

#### Declaration [src]

    GeglBuffer*
    gegl_buffer_create_sub_buffer (
      GeglBuffer* buffer,
      const GeglRectangle* extent
    )

#### Description [src]

Create a new sub GeglBuffer, that is a view on a larger buffer.

#### Parameters

`extent`

  Type: `GeglRectangle`

  Coordinates of new buffer.

  The data is owned by the caller of the method.

#### Return value

Type: `GeglBuffer`

The new sub buffer.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.